list(APPEND video_HEADERS 
    Video.h
    FfmpegInterface.h
    )

list(APPEND video_LIB_INCLUDES 
    Video.cpp
    FfmegInterface.cpp
    )

add_library(video SHARED ${video_LIB_INCLUDES} ${video_HEADERS})

target_include_directories(video PUBLIC
                          "${CMAKE_CURRENT_SOURCE_DIR}"
                          )
set_target_properties( video PROPERTIES WINDOWS_EXPORT_ALL_SYMBOLS ON )   

find_package(PkgConfig REQUIRED)
pkg_check_modules(LIBAV REQUIRED IMPORTED_TARGET
    libavdevice
    libavfilter
    libavformat
    libavcodec
    libswresample
    libswscale
    libavutil
)                    
target_link_libraries( video PUBLIC image PkgConfig::LIBAV)

set_property(TARGET image PROPERTY FOLDER src)